package constraints

import analysis.PP
import com.microsoft.z3.BoolExpr

/**
  * Constraint to give to Z3.
  * @param boolExpr the Z3 boolean expression.
  * @param description text description of the rule.
  * @param pp the program point where the rule has been generated.
  */
case class Z3Constraint(boolExpr: BoolExpr, description: String, pp: PP) {}
