package parser

import taint.{Sink, Source, SourcesSinks}

// TODO: read from SourcesAndSinks.txt file
class SourcesSinksProvider() {

  def sourcesSinks(): SourcesSinks =
    new SourcesSinks(
      Seq(
        Source(
          "Landroid/telephony/TelephonyManager;",
          "getDeviceId()Ljava/lang/String;"
        )
      ),
      Seq(
        Sink(
          "Ljava/net/URL;",
          "openConnection()Ljava/net/URLConnection;"
        ),
        Sink(
          "Landroid/telephony/SmsManager;",
          "sendTextMessage(Ljava/lang/String;Ljava/lang/String;Ljava/lang/String;Landroid/app/PendingIntent;Landroid/app/PendingIntent;)V"
        )
      )
    )
}
